# MeshCoarsenHierarchy

Coarsens the mesh into a hierarchy.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode MeshCoarsenHierarchy(Mesh mesh, int numLevels, double coarseningFactor, PetscTruth interpolate, Mesh **coarseHierarchy)

Not Collective

### Input Parameters

| mesh | - The original Mesh object
| numLevels | - The number of
| coarseningFactor | - The expansion factor for coarse meshes
| interpolate | - Flag to create intermediate mesh elements

### Output Parameter

coarseHierarchy -The coarse Mesh objects

### Keywords

mesh, elements

### See Also

MeshCreate(), MeshGenerate()

Level:intermediate
Location: src/dm/mesh/mesh.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages